# 使用指定购物车中的所有商品创建订单

使用指定购物车中的所有商品创建订单。创建的订单将获得new订单状态。

Endpoint: POST /v2/project/{project_id}/distribution_hub/payment/cart/{cart_id}
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    项目ID。
    Example: 44056

  - `cart_id` (string, required)
    购物车ID。
    Example: "custom_id"

## Request fields (application/json):

  - `currency` (string, required)
    首选支付币种。参照[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)标准的三字母货币代码。

  - `geotype` (number, required)
    艾克索拉侧的分发合作伙伴ID。
    Example: 13038

  - `quantity` (integer)
    商品数量。
    Example: 1

## Response 200 fields (application/json):

  - `billing_info` (object)
    账单信息。

  - `billing_info.direct_tax` (array)

  - `billing_info.direct_tax.amount` (number)
    Example: 150

  - `billing_info.direct_tax.name` (string)
    Example: "TAX"

  - `billing_info.direct_tax.rate` (number)
    Example: 10

  - `billing_info.indirect_tax` (array)

  - `billing_info.indirect_tax.amount` (number)
    Example: 246.75

  - `billing_info.indirect_tax.name` (string)
    Example: "VAT"

  - `billing_info.indirect_tax.rate` (number)
    Example: 20

  - `billing_info.price` (object)

  - `billing_info.price.amount` (number)
    Example: 1480.45

  - `billing_info.price.currency` (string)
    购买货币。符合[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)的三字母代码。
    Example: "USD"

  - `order_id` (integer)
    订单ID。

## Response 422 fields (application/json):

  - `errorCode` (integer)
    Example: 1401

  - `errorMessage` (string)
    Example: "[0401-1401]: Invalid cart"

  - `statusCode` (integer)
    Example: 422


